# $Revision: 1.20 $, $Date: 2012/05/08 09:53:08 $
Summary:	Disk management application
Summary(pl.UTF-8):	Aplikacja do zarządzania dyskami
Name:		gnome-disk-utility
Version:	3.4.1
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-disk-utility/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	c5ff303fdc99d6bf85b9fa8e886a99dd
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool >= 2.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	tar >= 1:1.22
BuildRequires:	udisks2-devel >= 1.90.0
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	udisks2 >= 1.90.0
Suggests:	openssh-gnome-askpass
Obsoletes:	gnome-disk-utility-apidocs
Obsoletes:	gnome-disk-utility-devel
Obsoletes:	gnome-disk-utility-libs
Obsoletes:	gnome-disk-utility-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%description -l pl.UTF-8
Ten pakiet zawiera aplikację do zarządzania dyskami Palimpsest.
Obsługuje ona partycjonowanie, tworzenie systemów plików, szyfrowanie,
RAID, monitorowanie SMART itp.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang gnome-disk-utility

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f gnome-disk-utility.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/palimpsest
%{_datadir}/gnome-disk-utility
%{_desktopdir}/palimpsest.desktop
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-disk-utility.spec,v $
Revision 1.20  2012/05/08 09:53:08  kiesiu
- updated to 3.4.1

Revision 1.19  2012/03/27 19:20:43  megabajt
- updated to 3.4.0; merged changes from DEVEL

Revision 1.18.2.2  2012/03/11 23:03:52  megabajt
- don't require -libs subpackage which does not exist

Revision 1.18.2.1  2012/03/11 20:01:18  megabajt
- updated to 3.3.93

Revision 1.18  2011/08/19 15:45:14  megabajt
- < 1.1.0, not 1.0.0, see: http://lists.freedesktop.org/archives/devkit-devel/2009-December/000568.html

Revision 1.17  2011/08/19 11:46:45  glen
- deps udisks author suggests, see
  http://lists.freedesktop.org/archives/devkit-devel/2009-December/000567.html

Revision 1.16  2011/07/14 16:25:13  kiesiu
- updated to 3.0.2

Revision 1.15  2011/04/05 18:56:21  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.14  2011/03/27 12:59:56  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- pl for base

Revision 1.12.2.6  2011/03/24 10:06:14  wiget
- BR: libunique3-devel

Revision 1.12.2.5  2011/03/23 10:04:04  wiget
- up to 2.91.7

Revision 1.12.2.4  2011/02/27 12:04:50  megabajt
- added nautilus-extension-dir.patch

Revision 1.12.2.3  2011/02/12 22:32:08  wiget
- BR stable gtk+
- use %{__enable_disable} macro
- kill libtool files

Revision 1.12.2.2  2011/02/05 18:14:34  wiget
- fix avahi BR

Revision 1.12.2.1  2011/02/04 20:03:36  megabajt
- updated to 2.91.6
- added -link.patch

Revision 1.13  2011/02/04 18:23:48  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.12  2010/11/18 12:09:24  hawk
- skip_post_check_so is required for libgdu-gtk.so.0.0.0

Revision 1.11  2010/10/03 13:07:22  megabajt
- added S: openssh-gnome-askpass

Revision 1.10  2010/10/02 16:33:17  megabajt
- updated to 2.32.0
- disabled apidocs bcond (docs are not included in 2.32.0 tarball)

Revision 1.9  2010/03/31 20:36:31  megabajt
- moved R: udisks back to main package
- release 2

Revision 1.8  2010/03/25 20:19:46  megabajt
- updated to 2.30.1

Revision 1.7  2010/01/19 21:19:36  megabajt
- moved R: DeviceKit-disks to -libs
- release 3

Revision 1.6  2010/01/10 20:25:42  sparky
- __gtkdocize

Revision 1.5  2009/11/17 14:36:44  zbyniu
- missing BRs

Revision 1.4  2009/11/12 16:10:06  patrys
- rebuild
- rel 2

Revision 1.3  2009/11/03 08:42:28  patrys
- 2.28.1

Revision 1.2  2009/09/26 10:21:33  megabajt
- updated to 2.28.0

Revision 1.1  2009/05/07 18:47:49  megabajt
- new
